<?php
// @codingStandardsIgnoreFile
// @codeCoverageIgnoreStart
require_once '/usr/share/php/Fedora/Autoloader'.'/autoload.php';

\Fedora\Autoloader\Autoload::addClassMap(
    array(
        'doctrine\\migrations\\abstractmigration' => '/AbstractMigration.php',
                'doctrine\\migrations\\configuration\\abstractfileconfiguration' => '/Configuration/AbstractFileConfiguration.php',
                'doctrine\\migrations\\configuration\\arrayconfiguration' => '/Configuration/ArrayConfiguration.php',
                'doctrine\\migrations\\configuration\\configuration' => '/Configuration/Configuration.php',
                'doctrine\\migrations\\configuration\\connection\\connectionloaderinterface' => '/Configuration/Connection/ConnectionLoaderInterface.php',
                'doctrine\\migrations\\configuration\\connection\\loader\\arrayconnectionconfigurationloader' => '/Configuration/Connection/Loader/ArrayConnectionConfigurationLoader.php',
                'doctrine\\migrations\\configuration\\connection\\loader\\connectionconfigurationchainloader' => '/Configuration/Connection/Loader/ConnectionConfigurationChainLoader.php',
                'doctrine\\migrations\\configuration\\connection\\loader\\connectionconfigurationloader' => '/Configuration/Connection/Loader/ConnectionConfigurationLoader.php',
                'doctrine\\migrations\\configuration\\connection\\loader\\connectionhelperloader' => '/Configuration/Connection/Loader/ConnectionHelperLoader.php',
                'doctrine\\migrations\\configuration\\connection\\loader\\exception\\invalidconfiguration' => '/Configuration/Connection/Loader/Exception/InvalidConfiguration.php',
                'doctrine\\migrations\\configuration\\connection\\loader\\exception\\loaderexception' => '/Configuration/Connection/Loader/Exception/LoaderException.php',
                'doctrine\\migrations\\configuration\\exception\\configurationexception' => '/Configuration/Exception/ConfigurationException.php',
                'doctrine\\migrations\\configuration\\exception\\filealreadyloaded' => '/Configuration/Exception/FileAlreadyLoaded.php',
                'doctrine\\migrations\\configuration\\exception\\filenotfound' => '/Configuration/Exception/FileNotFound.php',
                'doctrine\\migrations\\configuration\\exception\\invalidconfigurationkey' => '/Configuration/Exception/InvalidConfigurationKey.php',
                'doctrine\\migrations\\configuration\\exception\\jsonnotvalid' => '/Configuration/Exception/JsonNotValid.php',
                'doctrine\\migrations\\configuration\\exception\\migrationsnamespacerequired' => '/Configuration/Exception/MigrationsNamespaceRequired.php',
                'doctrine\\migrations\\configuration\\exception\\parameterincompatiblewithfinder' => '/Configuration/Exception/ParameterIncompatibleWithFinder.php',
                'doctrine\\migrations\\configuration\\exception\\unknownconfigurationvalue' => '/Configuration/Exception/UnknownConfigurationValue.php',
                'doctrine\\migrations\\configuration\\exception\\xmlnotvalid' => '/Configuration/Exception/XmlNotValid.php',
                'doctrine\\migrations\\configuration\\exception\\yamlnotavailable' => '/Configuration/Exception/YamlNotAvailable.php',
                'doctrine\\migrations\\configuration\\exception\\yamlnotvalid' => '/Configuration/Exception/YamlNotValid.php',
                'doctrine\\migrations\\configuration\\jsonconfiguration' => '/Configuration/JsonConfiguration.php',
                'doctrine\\migrations\\configuration\\xmlconfiguration' => '/Configuration/XmlConfiguration.php',
                'doctrine\\migrations\\configuration\\yamlconfiguration' => '/Configuration/YamlConfiguration.php',
                'doctrine\\migrations\\dependencyfactory' => '/DependencyFactory.php',
                'doctrine\\migrations\\event\\listeners\\autocommitlistener' => '/Event/Listeners/AutoCommitListener.php',
                'doctrine\\migrations\\event\\migrationseventargs' => '/Event/MigrationsEventArgs.php',
                'doctrine\\migrations\\event\\migrationsversioneventargs' => '/Event/MigrationsVersionEventArgs.php',
                'doctrine\\migrations\\eventdispatcher' => '/EventDispatcher.php',
                'doctrine\\migrations\\events' => '/Events.php',
                'doctrine\\migrations\\exception\\abortmigration' => '/Exception/AbortMigration.php',
                'doctrine\\migrations\\exception\\alreadyatversion' => '/Exception/AlreadyAtVersion.php',
                'doctrine\\migrations\\exception\\controlexception' => '/Exception/ControlException.php',
                'doctrine\\migrations\\exception\\duplicatemigrationversion' => '/Exception/DuplicateMigrationVersion.php',
                'doctrine\\migrations\\exception\\irreversiblemigration' => '/Exception/IrreversibleMigration.php',
                'doctrine\\migrations\\exception\\migrationclassnotfound' => '/Exception/MigrationClassNotFound.php',
                'doctrine\\migrations\\exception\\migrationexception' => '/Exception/MigrationException.php',
                'doctrine\\migrations\\exception\\migrationnotconvertibletosql' => '/Exception/MigrationNotConvertibleToSql.php',
                'doctrine\\migrations\\exception\\migrationsdirectoryrequired' => '/Exception/MigrationsDirectoryRequired.php',
                'doctrine\\migrations\\exception\\nomigrationstoexecute' => '/Exception/NoMigrationsToExecute.php',
                'doctrine\\migrations\\exception\\notablesfound' => '/Exception/NoTablesFound.php',
                'doctrine\\migrations\\exception\\rollupfailed' => '/Exception/RollupFailed.php',
                'doctrine\\migrations\\exception\\skipmigration' => '/Exception/SkipMigration.php',
                'doctrine\\migrations\\exception\\unknownmigrationversion' => '/Exception/UnknownMigrationVersion.php',
                'doctrine\\migrations\\filequerywriter' => '/FileQueryWriter.php',
                'doctrine\\migrations\\finder\\exception\\finderexception' => '/Finder/Exception/FinderException.php',
                'doctrine\\migrations\\finder\\exception\\invaliddirectory' => '/Finder/Exception/InvalidDirectory.php',
                'doctrine\\migrations\\finder\\exception\\nameisreserved' => '/Finder/Exception/NameIsReserved.php',
                'doctrine\\migrations\\finder\\finder' => '/Finder/Finder.php',
                'doctrine\\migrations\\finder\\globfinder' => '/Finder/GlobFinder.php',
                'doctrine\\migrations\\finder\\migrationdeepfinder' => '/Finder/MigrationDeepFinder.php',
                'doctrine\\migrations\\finder\\migrationfinder' => '/Finder/MigrationFinder.php',
                'doctrine\\migrations\\finder\\recursiveregexfinder' => '/Finder/RecursiveRegexFinder.php',
                'doctrine\\migrations\\generator\\diffgenerator' => '/Generator/DiffGenerator.php',
                'doctrine\\migrations\\generator\\exception\\generatorexception' => '/Generator/Exception/GeneratorException.php',
                'doctrine\\migrations\\generator\\exception\\invalidtemplatespecified' => '/Generator/Exception/InvalidTemplateSpecified.php',
                'doctrine\\migrations\\generator\\exception\\nochangesdetected' => '/Generator/Exception/NoChangesDetected.php',
                'doctrine\\migrations\\generator\\filebuilder' => '/Generator/FileBuilder.php',
                'doctrine\\migrations\\generator\\generator' => '/Generator/Generator.php',
                'doctrine\\migrations\\generator\\sqlgenerator' => '/Generator/SqlGenerator.php',
                'doctrine\\migrations\\migrationplancalculator' => '/MigrationPlanCalculator.php',
                'doctrine\\migrations\\migrationrepository' => '/MigrationRepository.php',
                'doctrine\\migrations\\migrator' => '/Migrator.php',
                'doctrine\\migrations\\migratorconfiguration' => '/MigratorConfiguration.php',
                'doctrine\\migrations\\outputwriter' => '/OutputWriter.php',
                'doctrine\\migrations\\parameterformatter' => '/ParameterFormatter.php',
                'doctrine\\migrations\\parameterformatterinterface' => '/ParameterFormatterInterface.php',
                'doctrine\\migrations\\provider\\emptyschemaprovider' => '/Provider/EmptySchemaProvider.php',
                'doctrine\\migrations\\provider\\exception\\nomappingfound' => '/Provider/Exception/NoMappingFound.php',
                'doctrine\\migrations\\provider\\exception\\providerexception' => '/Provider/Exception/ProviderException.php',
                'doctrine\\migrations\\provider\\lazyschemadiffprovider' => '/Provider/LazySchemaDiffProvider.php',
                'doctrine\\migrations\\provider\\ormschemaprovider' => '/Provider/OrmSchemaProvider.php',
                'doctrine\\migrations\\provider\\schemadiffprovider' => '/Provider/SchemaDiffProvider.php',
                'doctrine\\migrations\\provider\\schemadiffproviderinterface' => '/Provider/SchemaDiffProviderInterface.php',
                'doctrine\\migrations\\provider\\schemaproviderinterface' => '/Provider/SchemaProviderInterface.php',
                'doctrine\\migrations\\provider\\stubschemaprovider' => '/Provider/StubSchemaProvider.php',
                'doctrine\\migrations\\querywriter' => '/QueryWriter.php',
                'doctrine\\migrations\\rollup' => '/Rollup.php',
                'doctrine\\migrations\\schemadumper' => '/SchemaDumper.php',
                'doctrine\\migrations\\stopwatch' => '/Stopwatch.php',
                'doctrine\\migrations\\tools\\booleanstringformatter' => '/Tools/BooleanStringFormatter.php',
                'doctrine\\migrations\\tools\\bytesformatter' => '/Tools/BytesFormatter.php',
                'doctrine\\migrations\\tools\\console\\command\\abstractcommand' => '/Tools/Console/Command/AbstractCommand.php',
                'doctrine\\migrations\\tools\\console\\command\\diffcommand' => '/Tools/Console/Command/DiffCommand.php',
                'doctrine\\migrations\\tools\\console\\command\\dumpschemacommand' => '/Tools/Console/Command/DumpSchemaCommand.php',
                'doctrine\\migrations\\tools\\console\\command\\executecommand' => '/Tools/Console/Command/ExecuteCommand.php',
                'doctrine\\migrations\\tools\\console\\command\\generatecommand' => '/Tools/Console/Command/GenerateCommand.php',
                'doctrine\\migrations\\tools\\console\\command\\latestcommand' => '/Tools/Console/Command/LatestCommand.php',
                'doctrine\\migrations\\tools\\console\\command\\migratecommand' => '/Tools/Console/Command/MigrateCommand.php',
                'doctrine\\migrations\\tools\\console\\command\\rollupcommand' => '/Tools/Console/Command/RollupCommand.php',
                'doctrine\\migrations\\tools\\console\\command\\statuscommand' => '/Tools/Console/Command/StatusCommand.php',
                'doctrine\\migrations\\tools\\console\\command\\uptodatecommand' => '/Tools/Console/Command/UpToDateCommand.php',
                'doctrine\\migrations\\tools\\console\\command\\versioncommand' => '/Tools/Console/Command/VersionCommand.php',
                'doctrine\\migrations\\tools\\console\\connectionloader' => '/Tools/Console/ConnectionLoader.php',
                'doctrine\\migrations\\tools\\console\\consolerunner' => '/Tools/Console/ConsoleRunner.php',
                'doctrine\\migrations\\tools\\console\\exception\\connectionnotspecified' => '/Tools/Console/Exception/ConnectionNotSpecified.php',
                'doctrine\\migrations\\tools\\console\\exception\\consoleexception' => '/Tools/Console/Exception/ConsoleException.php',
                'doctrine\\migrations\\tools\\console\\exception\\directorydoesnotexist' => '/Tools/Console/Exception/DirectoryDoesNotExist.php',
                'doctrine\\migrations\\tools\\console\\exception\\filetypenotsupported' => '/Tools/Console/Exception/FileTypeNotSupported.php',
                'doctrine\\migrations\\tools\\console\\exception\\invalidoptionusage' => '/Tools/Console/Exception/InvalidOptionUsage.php',
                'doctrine\\migrations\\tools\\console\\exception\\schemadumprequiresnomigrations' => '/Tools/Console/Exception/SchemaDumpRequiresNoMigrations.php',
                'doctrine\\migrations\\tools\\console\\exception\\versionalreadyexists' => '/Tools/Console/Exception/VersionAlreadyExists.php',
                'doctrine\\migrations\\tools\\console\\exception\\versiondoesnotexist' => '/Tools/Console/Exception/VersionDoesNotExist.php',
                'doctrine\\migrations\\tools\\console\\helper\\configurationhelper' => '/Tools/Console/Helper/ConfigurationHelper.php',
                'doctrine\\migrations\\tools\\console\\helper\\configurationhelperinterface' => '/Tools/Console/Helper/ConfigurationHelperInterface.php',
                'doctrine\\migrations\\tools\\console\\helper\\migrationdirectoryhelper' => '/Tools/Console/Helper/MigrationDirectoryHelper.php',
                'doctrine\\migrations\\tools\\console\\helper\\migrationstatusinfoshelper' => '/Tools/Console/Helper/MigrationStatusInfosHelper.php',
                'doctrine\\migrations\\tools\\transactionhelper' => '/Tools/TransactionHelper.php',
                'doctrine\\migrations\\tracking\\tabledefinition' => '/Tracking/TableDefinition.php',
                'doctrine\\migrations\\tracking\\tablemanipulator' => '/Tracking/TableManipulator.php',
                'doctrine\\migrations\\tracking\\tablestatus' => '/Tracking/TableStatus.php',
                'doctrine\\migrations\\tracking\\tableupdater' => '/Tracking/TableUpdater.php',
                'doctrine\\migrations\\version\\aliasresolver' => '/Version/AliasResolver.php',
                'doctrine\\migrations\\version\\direction' => '/Version/Direction.php',
                'doctrine\\migrations\\version\\executionresult' => '/Version/ExecutionResult.php',
                'doctrine\\migrations\\version\\executor' => '/Version/Executor.php',
                'doctrine\\migrations\\version\\executorinterface' => '/Version/ExecutorInterface.php',
                'doctrine\\migrations\\version\\factory' => '/Version/Factory.php',
                'doctrine\\migrations\\version\\state' => '/Version/State.php',
                'doctrine\\migrations\\version\\version' => '/Version/Version.php',
    ),
    __DIR__
);
// @codeCoverageIgnoreEnd

// Dependencies
\Fedora\Autoloader\Dependencies::required([
    '/usr/share/php/Doctrine/DBAL/autoload.php',
    [
        '/usr/share/php/Symfony5/Component/Console/autoload.php',
        '/usr/share/php/Symfony4/Component/Console/autoload.php',
        '/usr/share/php/Symfony3/Component/Console/autoload.php',
    ],
    [
        '/usr/share/php/Symfony5/Component/Stopwatch/autoload.php',
        '/usr/share/php/Symfony4/Component/Stopwatch/autoload.php',
        '/usr/share/php/Symfony3/Component/Stopwatch/autoload.php',
    ],
    '/usr/share/php/FriendsOfPHP/ProxyManager/autoload.php',
]);
\Fedora\Autoloader\Dependencies::optional([
    '/usr/share/php/jdorn-sql-formatter/autoload.php',
    [
        '/usr/share/php/Symfony5/Component/Process/autoload.php',
        '/usr/share/php/Symfony4/Component/Process/autoload.php',
        '/usr/share/php/Symfony3/Component/Process/autoload.php',
    ],
    [
        '/usr/share/php/Symfony5/Component/Yaml/autoload.php',
        '/usr/share/php/Symfony4/Component/Yaml/autoload.php',
        '/usr/share/php/Symfony3/Component/Yaml/autoload.php',
    ],
]);
